Subject: Re: [PATCH v2 0/2] pack-bitmap: remove checks before bitmap_free

From: Junio C Hamano <[email-masked]>
Date: Fri, 30 May 2025 14:06:31 -0700

"Lidong Yan via GitGitGadget" <[email-masked]> writes:

> In pack-bitmap.c:find_boundary_objects, remove cascade success check and
> always free roots_bitmap afterward to make static analysis tool works
> better.
>
> Lidong Yan (2):
>   pack-bitmap: remove checks before bitmap_free
>   t5333: test memory leak when use pseudo-merge in boundary traversal

How would these two commits relate to each other?  If [2/2] is a
test that exposes existing breakage if [1/2] weren't there, we
usually have them in the same commit.  If they are not related, of
course, they can be applied and advanced independently.